Index · Directives · Python · libudev · gudev systemd 209

## Name

systemd-journal-gatewayd.service, systemd-journal-gatewayd.socket, systemd-journal-gatewayd — HTTP server for journal events

## Synopsis

`systemd-journal-gatewayd.service`

`systemd-journal-gatewayd.socket`

`/usr/lib/systemd/systemd-journal-gatewayd` [OPTIONS...]

## Description

systemd-journal-gatewayd serves journal events over the network. Clients must connect using HTTP. The server listens on port 19531 by default. If `--cert=` is specified, the server expects HTTPS connections.

The program is started by systemd(1) and expects to receive a single socket. Use systemctl start systemd-journal-gatewayd.socket to start the service, and systemctl enable systemd-journal-gatewayd.socket to have it started on boot.

## Options

The following options are understood:

`--help`, `-h`

  Prints a short help text and exits.

`--version`

  Prints a short version string and exits.

`--cert=`

  Specify the path to a file containing a server certificate in PEM format. This option switches systemd-journal-gatewayd into HTTPS mode and must be used together with `--key=`.

`--key=`

  Specify the path to a file containing a server key in PEM format corresponding to the certificate specified with `--cert=`.

## Supported URLs

The following URLs are recognized:

`/browse`

  Interactive browsing.

`/entries[?option1&option2=value...]`

  Retrieval of events in various formats.

  The `Accept:` part of the HTTP header determines the format. Supported values are described below.

  The `Range:` part of the HTTP header determines the range of events returned. Supported values are described below.

  GET parameters can be used to modify what events are returned. Supported parameters are described below.

`/machine`

  Return a JSON structure describing the machine.

  Example:

      { "machine_id" : "8cf7ed9d451ea194b77a9f118f3dc446",
        "boot_id" : "3d3c9efaf556496a9b04259ee35df7f7",
        "hostname" : "fedora",
        "os_pretty_name" : "Fedora 19 (Rawhide)",
        "virtualization" : "kvm",
        ...}

`/fields/`FIELD_NAME``

  Return a list of values of this field present in the logs.

## Accept header

`Accept: `format``

Recognized formats:

`text/plain`

  The default. Plaintext syslog-like output, one line per journal entry (like journalctl --output short).

`application/json`

  Entries are formatted as JSON data structures, one per line (like journalctl --output json). See Journal JSON Format for more information.

`application/event-stream`

  Entries are formatted as JSON data structures, wrapped in a format suitable for Server-Sent Events (like journalctl --output json-sse).

`application/vnd.fdo.journal`

  Entries are serialized into a binary (but mostly text-based) stream suitable for backups and network transfer (like journalctl --output export). See Journal Export Format for more information.

## Range header

`Range: entries=`cursor`[[:`num_skip`]:`num_entries`]`

where `cursor` is a cursor string, `num_skip` is an integer, `num_entries` is an unsigned integer.

Range defaults to all available events.

## URL GET parameters

Following parameters can be used as part of the URL:

`follow`

  wait for new events (like journalctl --follow, except that the number of events returned is not limited).

`discrete`

  Test that the specified cursor refers to an entry in the journal. Returns just this entry.

`boot`

  Limit events to the current boot of the system (like journalctl --this--boot).

``KEY`=`match``

  Match journal fields. See systemd.journal-fields(7).

## Examples

Retrieve events from this boot from local journal in Journal Export Format:

    curl --silent -H'Accept: application/vnd.fdo.journal' \
           'http://localhost:19531/entries?boot'

Listen for core dumps:

    curl 'http://localhost:19531/entries?follow&MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1'

## See Also

systemd(1), journalctl(1), systemd-journald.service(8), systemd.journal-fields(7),